#!/usr/bin/python

import gtk
from ubuntuone.gtkwidgets import MusicStore

def preview_mp3_cb(music_store, url, title):
    print "Requested preview of file %s with title %s" % (url, title)
    music_store.load_store_link('http://stores.7digital.com/corporate_1/artists/govt-mule/the-deepest-end-live-in-concert-1/')

def url_loaded_cb(music_store, url):
    print "URL loaded %s" % url

window = gtk.Window()
window.set_size_request(839, 600)
window.connect("destroy", gtk.main_quit)

store = MusicStore()
print 'Library location is %s' % store.get_library_location()
store.show()
store.connect("preview-mp3", preview_mp3_cb)
store.connect("url-loaded", url_loaded_cb)
window.add(store)
window.show()

gtk.main()
